package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjSggyZjyCljl;

/**
 * 设计信息-施工概要-钻井液材料加量Mapper接口
 * 
 * @author
 * @date 2025-08-20
 */
public interface SjSggyZjyCljlMapper 
{
    /**
     * 查询设计信息-施工概要-钻井液材料加量
     * 
     * @param id 设计信息-施工概要-钻井液材料加量主键
     * @return 设计信息-施工概要-钻井液材料加量
     */
    public SjSggyZjyCljl selectSjSggyZjyCljlById(Long id);

    /**
     * 查询设计信息-施工概要-钻井液材料加量列表
     * 
     * @param sjSggyZjyCljl 设计信息-施工概要-钻井液材料加量
     * @return 设计信息-施工概要-钻井液材料加量集合
     */
    public List<SjSggyZjyCljl> selectSjSggyZjyCljlList(SjSggyZjyCljl sjSggyZjyCljl);

    /**
     * 新增设计信息-施工概要-钻井液材料加量
     * 
     * @param sjSggyZjyCljl 设计信息-施工概要-钻井液材料加量
     * @return 结果
     */
    public int insertSjSggyZjyCljl(SjSggyZjyCljl sjSggyZjyCljl);

    /**
     * 修改设计信息-施工概要-钻井液材料加量
     * 
     * @param sjSggyZjyCljl 设计信息-施工概要-钻井液材料加量
     * @return 结果
     */
    public int updateSjSggyZjyCljl(SjSggyZjyCljl sjSggyZjyCljl);

    /**
     * 删除设计信息-施工概要-钻井液材料加量
     * 
     * @param id 设计信息-施工概要-钻井液材料加量主键
     * @return 结果
     */
    public int deleteSjSggyZjyCljlById(Long id);

    /**
     * 批量删除设计信息-施工概要-钻井液材料加量
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjSggyZjyCljlByIds(Long[] ids);

    int deleteSjSggyZjyCljlByJh(String jh);

    int insertSjSggyZjyCljlBatch(List<SjSggyZjyCljl> sjSggyZjyCljlList);

}
